Skip to main content

Unblock External Account

Suggest Edits


Overview

Unblock an external account that is currently in BLOCKED status.


Resource Access

Production (api.ahrvo.network)

POST https://api.ahrvo.network/banking/us2/v1/customer/id/{customerId}/externalAccount/id/{externalAccountId}/unblock

Staging (gateway.ahrvo.network)

POST https://gateway.ahrvo.network/banking/us2/v1/customer/id/{customerId}/externalAccount/id/{externalAccountId}/unblock

Arguments

FieldMandatory?Description
commentNoAdditional comments.

Example Request (production) – unblock an external account

POST /banking/us2/v1/customer/id/4052981/externalAccount/id/2/unblock HTTP/1.1
Host: api.ahrvo.network
Authorization: Bearer {jwtToken}
x-api-key: {apiKey}
Content-Type: application/json
{
"comment": "user comment goes here"
}

(For staging, replace api.ahrvo.network with gateway.ahrvo.network in the Host header and URL.)


Example Response

HTTP/1.1 204 No Content

API Documentation